Skip to main content
PATCH
Update ClickPipe scaling
Change scaling settings for the specified ClickPipe. This endpoint supports Kafka, Kinesis, and object storage pipes (S3, GCS, Azure Blob). Note: For database ClickPipes (PostgreSQL, MySQL, MongoDB, BigQuery), use the Update CDC ClickPipes scaling endpoint instead.

Permission

The API key must have the control-plane:service:manage-clickpipes permission.

Authorizations

Authorization
string
header
required

Use key ID and key secret obtained in ClickHouse Cloud console: https://clickhouse.com/docs/cloud/manage/openapi

Path Parameters

organizationId
string<uuid>
required

ID of the organization that owns the service.

serviceId
string<uuid>
required

ID of the service that owns the ClickPipe.

clickPipeId
string<uuid>
required

ID of the ClickPipe to update scaling settings.

Body

application/json
replicas
integer | null

Number of replicas to scale to. Use to scale Kafka pipes.

Required range: 1 <= x <= 40
concurrency
integer | null
deprecated

Number of concurrency to scale to. Use to scale S3 pipes.

Required range: 0 <= x <= 34
replicaCpuMillicores
integer | null

CPU in millicores for each replica. Use to scale streaming pipes.

Required range: 125 <= x <= 2000
replicaMemoryGb
number | null

Memory in GB for each replica. Use to scale streaming pipes.

Required range: 0.5 <= x <= 8

Response

Successful response

status
number

HTTP status code.

Example:

200

requestId
string<uuid>

Unique id assigned to every request. UUIDv4

result
object
Last modified on September 21, 2026